<?php
session_start();
require '../../conex/conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['treinar'])) {

    
$personagem = $_SESSION['personagem'];
$situacao = "livre";


$carne = $_SESSION['carne'];
$soldados = $_SESSION['soldados'];
$nvsaldocarne = $soldados;



        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :situacao, carne = :nvsaldocarne WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':situacao', $situacao, PDO::PARAM_STR);
    $stmt->bindParam(':nvsaldocarne', $nvsaldocarne, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
   
    
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você e seus soldados, ficaram com $soldados de carne";
    header("Location: ../../dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>